;==========================================================
;
;
;   ██████╗  ██████╗ ██╗  ██╗   ██╗██████╗  █████╗ ██████╗
;   ██╔══██╗██╔═══██╗██║  ╚██╗ ██╔╝██╔══██╗██╔══██╗██╔══██╗
;   ██████╔╝██║   ██║██║   ╚████╔╝ ██████╔╝███████║██████╔╝
;   ██╔═══╝ ██║   ██║██║    ╚██╔╝  ██╔══██╗██╔══██║██╔══██╗
;   ██║     ╚██████╔╝███████╗██║   ██████╔╝██║  ██║██║  ██║
;   ╚═╝      ╚═════╝ ╚══════╝╚═╝   ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝
;
;
;   To learn more about how to configure Polybar
;   go to https://github.com/polybar/polybar
;
;   The README contains a lot of information
;
;==========================================================





[colors]
background = #4B0082
background-alt = #7B30B2
foreground = #FFFFFF
primary = #b75aab
alert = #FF0000
disabled = #AAAAAA





[bar/left]
width = 30%
height = 27pt
radius = 20px
offset-y = 40
offset-x = 50

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3pt

border-size = 4pt
border-color = #00000000

padding-left = 4
padding-right = 4

module-margin = 1

separator = "  |  "
separator-foreground = ${colors.disabled}

font-0 = NotoSans;size=13;3
font-1 = Font Awesome 5 Brands;size=13
font-2 = Font Awesome 5 Free:style=solid;size=13
font-3 = Font Awesome 5 Bold;size=13

modules-center = xworkspaces 

cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

wm-restack = i3
override-redirect = true



[module/xworkspaces]
type = internal/i3
format = <label-state> <label-mode>

ws-icon-0 = 0;
ws-icon-1 = 1;
ws-icon-2 = 2;
ws-icon-3 = 3;
ws-icon-4 = 4;
ws-icon-5 = 5;5
ws-icon-6 = 6;6
ws-icon-7 = 7;7
ws-icon-8 = 8;8
ws-icon-9 = 9;
ws-icon-default = ?
label-mode = %mode%

label-focused = %icon%
label-focused-background = ${colors.background-alt}
label-focused-underline= ${colors.primary}
label-focused-padding = 5

label-visible = %icon%
label-visible-padding = 5

label-urgent = %icon%
label-urgent-background = ${colors.alert}
label-urgent-padding = 5

label-unfocused = %icon%
label-unfocused-foreground = ${colors.disabled}
label-unfocused-padding = 5





[bar/center]
width = 10%
height = 27pt
radius = 20
offset-y = 40
offset-x = 45%

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3pt

border-size = 4pt
border-color = #00000000

padding-left = 4
padding-right = 4

module-margin = 1

separator = "  |  "
separator-foreground = ${colors.disabled}

font-0 = NotoSans;size=13;3
font-1 = Font Awesome 5 Brands;size=13
font-2 = Font Awesome 5 Free:style=solid;size=13
font-3 = Font Awesome 5 Bold;size=13

modules-center = text

cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

wm-restack = i3
override-redirect = true



[module/text]
type = custom/text
content = I love i3!!!

content-background = ${color.background}
content-foreground = ${colors.foreground}
content-padding = 4





[bar/right]
width = 30%
height = 27pt
radius = 20
offset-y = 40
offset-x = 70%:-50

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3pt

border-size = 4pt
border-color = #00000000

padding-left = 4
padding-right = 4

module-margin = 1

separator = "  |  "
separator-foreground = ${colors.disabled}

font-0 = NotoSans;size=13;3
font-1 = Font Awesome 5 Brands;size=13
font-2 = Font Awesome 5 Free:style=solid;size=13
font-3 = Font Awesome 5 Bold;size=13

modules-center = pulseaudio memory date time battery

cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

wm-restack = i3
override-redirect = true



[module/pulseaudio]
type = internal/pulseaudio

format-volume-prefix = "VOL "
format-volume-prefix-foreground = ${colors.primary}
format-volume = <label-volume>

label-volume = %percentage%%

label-muted = muted
label-muted-foreground = ${colors.disabled}

label-indicator-padding = 2
label-indicator-margin = 1
label-indicator-foreground = ${colors.background}



[module/memory]
type = internal/memory
interval = 2
format-prefix = "RAM "
format-prefix-foreground = ${colors.primary}
label = %percentage_used:2%%



[module/date]
type = internal/date
interval = 1

date = %d-%m-%Y

label = %date%
label-foreground = ${colors.primary}



[module/time]
type = internal/date
interval = 1

date = %H:%M:%S

label = %date%
label-foreground = ${colors.primary}



[module/battery]
type = internal/battery
full-at = 99
low-at = 5
battery = BAT1
adapter = ADP1
poll-internal = 1

format-charging = <label-charging>
format-discharging = <ramp-capacity> <label-discharging>

label-charging =   %percentage%%
label-discharging = %percentage%%
label-full = Fully charged
label-low = BATTERY LOW

ramp-capacity-0 = 
ramp-capacity-1 = 
ramp-capacity-2 = 
ramp-capacity-3 = 
ramp-capacity-4 = 



[settings]
screenchange-reload = true
pseudo-transparency = true

